(define-module (bugafriend listener)
  #:use-module (bugafriend utils registry)
  #:use-module (goblins)
  #:use-module (goblins ocapn ids)
  #:export (listen))

;; Code for the listener
(define (^listener bcom)
  (lambda (text) (format #t "~a\n" text)))

(define (listen setup-sref)
(on (prelay-sref->mycapn-registry setup-sref)
    (lambda (registry)
      (define listener (spawn ^listener))
      (define listener-id ($ registry 'register listener))
      (format #t "Listener registered at ~s\n" (ocapn-id->string listener-id)))))
